.body {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    touch-action: manipulation;
}

.outer {
    display: table;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.middle {
    display: table-cell;
	vertical-align: middle;
}

.inner {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}
.screenCanvas {
    margin-left: auto;
    margin-right: auto;

    outline: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0); /* mobile webkit */
    cursor:crosshair;

    display: block;
}

textarea {
    width: 99%;
    height: 90vh;
}

.fakec64 {
    background-color: #0000aa;
    border: none;
    color: #0088ff;
    padding: 16px 32px;
    font-family: "Lucida Console", "Courier New", monospace;
    font-weight: 900;
    font-size: large;
    margin: 4px 2px;
    cursor: pointer;
}

.fakec64nopad {
    background-color: #0000aa;
    border: none;
    color: #0088ff;
    font-family: "Lucida Console", "Courier New", monospace;
    font-weight: 900;
    font-size: large;
    margin: 4px 2px;
    cursor: pointer;
}

.kbkeysbase {
    text-align: center;
    height: 80px;
    border: 0px red solid;
    border-radius: 10px;
}

.kbkeys1 {
    background-color: #000000;
    color: #ffffff;
    width: 60px;
    font-size: 30px;
}

.kbkeys2 {
    background-color: #000000;
    color: #ffffff;
    width: 120px;
    font-size: 25px;
}

.kbkeys8 {
    background-color: #000000;
    color: #ffffff;
    width: 120px;
    font-size: 25px;
}

.kbkeysShift {
    color: #ffffee;
    font-size: 15px;
}

.kbkeys1p5 {
    background-color: #000000;
    color: #ffffff
    width: 90px;
    font-size: 20px;
}

.kbbg {
    border: 1px black solid;
    border-radius: 5px;
    background-color: #888888;
    color: #ffffff
}

.footer {
    position: fixed;
    bottom: 0;
    left:0;
    width: 100%;
}
